AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
GetOptionCommand Class
GetOptionCommand Constructor
GetOptionCommand Methods
GetOptionCommand Properties

| GetOptionCommand Class

Plays the given file, and waits for the user to press one of the given digits. If none of the esacpe digits is pressed while streaming the file this command waits for the specified timeout still waiting for the user to press a digit. Streaming always begins at the beginning.
Returns 0 if no digit being pressed, or the ASCII numerical value of the digit if one was pressed, or -1 on error or if the channel was disconnected.
Remember, the file extension must not be included in the filename.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
GetOptionCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class GetOptionCommand : AGICommand

    Public Class GetOptionCommand
    	Inherits AGICommand

    public ref class GetOptionCommand : public AGICommand

    type GetOptionCommand =
        class
            inherit AGICommand
        end

The GetOptionCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| GetOptionCommand(String, String) | Creates a new GetOptionCommand with a default timeout of 5 seconds.
| GetOptionCommand(String, String, Int32) | Creates a new GetOptionCommand with the given timeout.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| EscapeDigits | Get/Set the digits that the user is expected to press.
| File | Get/Set the name of the file to stream.
| Timeout | Get/Set the timeout to wait if none of the defined esacpe digits was presses while streaming.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace
AsterNET.FastAGI.Command
StreamFileCommand